<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.14" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__hal__results__quaddec" kind="group">
    <compoundname>group_hal_results_quaddec</compoundname>
    <title>Quadrature Decoder HAL Results</title>
      <sectiondef kind="define">
      <memberdef id="group__group__hal__results__quaddec_1gacc58c62a9186dd35d771c75886b7ad7d" kind="define" prot="public" static="no">
        <name>CYHAL_QUADDEC_RSLT_ERR_BAD_ARGUMENT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4f1d56292f0da9d3cdfa3cea392f304">CYHAL_RSLT_MODULE_QUADDEC</ref>, 0))</initializer>
        <briefdescription>
<para>Bad argument. </para>        </briefdescription>
        <detaileddescription>
<para>eg: null pointer </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="111" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="111" />
      </memberdef>
      <memberdef id="group__group__hal__results__quaddec_1ga4f66b654ef3e4596c5a250132d95bd18" kind="define" prot="public" static="no">
        <name>CYHAL_QUADDEC_RSLT_ERR_CLOCK_INIT</name>
        <initializer>(CYHAL_RSLT_CREATE(<ref kindref="member" refid="group__group__result_1ga8d656d344524464af71296f2140a7b37">CY_RSLT_TYPE_ERROR</ref>, <ref kindref="member" refid="group__group__hal__results_1gga84f32ecb6376e2088d4f048e35f52005af4f1d56292f0da9d3cdfa3cea392f304">CYHAL_RSLT_MODULE_QUADDEC</ref>, 1))</initializer>
        <briefdescription>
<para>Failed to initialize the quadrature decoder clock. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" bodystart="114" column="9" file="output/libs/COMPONENT_DEPRECATED/psoc6hal/include/cyhal_quaddec.h" line="114" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Quadrature Decoder specific return codes. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>